Planner NEWS --- History of user-visible changes    -*- outline -*-

* Changes in Planner 3.42

With this version, Planner is now available under GPLv3 (or any later version
published by the Free Software Foundation).

Planner now requires Muse 3.03 or later.

** Bugfixes

*** planner: Note searching was returning bits of neighboring notes in search
results. When moving blocks of tasks, don't include the task at the beginning
of the region if point is at the end of the line, but do include it otherwise.
*** planner-appt: Fix interaction with planner-deadline and task-based
appointments. Fix match-string bug.
*** planner-authz: Adapt for nested tag support. Fix markup for diary sections.
*** planner-calendar: Adapt for nested tag support. Handle situation where the
calendar for the next month is empty.
*** planner-el.texi: Many updates and corrections.
*** planner-gnus: Fix problem where unread messages were marked as read. Make
documented keybindings actually work.
*** planner-mhe: Remove unnecessary dependency.
*** planner-notes-index: Muse compatibility fixes.
*** planner-publish: Publish task IDs. Fix calendar publishing. Adapt for
nested tag support. Fix escaping issues.
*** planner-report: Handle non-ASCII characters.
*** planner-rss: Markup was incorrectly being escaped.
*** planner-tasks-overview: Make returned links work, and improve display. 
*** planner-timeclock: Don't require project match. Muse compatibility fixes.
*** planner-wl: Change keybinding to C-c from C-t, to avoid collision.
*** planner-zoom: Use planner-page-name instead of buffer-name.
*** README: Grammar fixes and other updates.
*** timeclock: Better support for encrypted timeclock files. 

** Compatibility fixes

*** planner: Update to work with Emacs 22. Fix to work with ntemacs 23.0.0.1.
*** planner-gnus: Fix to work with No Gnus and Gnus 5.11.
*** planner-ledger: Update to work with newer versions of ledger.
*** planner-publish: Fix XEmacs bugs.
*** planner-timeclock: Remove unnecessary dependency.

** New features

*** Makefile: Make ELPA package. New rule to make just the info file. Update for git.
*** planner: Add hook to task deletion. Pick up annotation from man and woman pages.
*** planner-gnus: Support gnuslog URLs.
*** planner-ledger: Add customize interface. The user can now specify a ledger file.
Add a number of new functions for cleanly inserting ledger info into Planner pages. 

* Changes in Planner 3.41

** Bugfixes

*** Make planner-visit-link more robust.
*** Don't insert too many spaces around task number.
*** Fix lock up with old delegated task mark.
*** Make allout mode and Planner work better together by default.
*** planner-el.texi: Many updates and clarifications were added.
*** planner-appt: Fix highlighting in plan pages.
*** planner-authz: Work with latest changes in planner-publish.
*** planner-calendar: Fix many bugs and improve implementation.
Be sure to read the "Publishing Calendars" section of the manual for details,
as the common setup for Planner 3.40 will not work. This feature should now be
much easier to get working.
*** planner-calendar: If the current page is not a daypage,
default to publishing a calendar for today.
*** planner-gnus: Fix buggy browsing behavior.
*** planner-publish: Fix erroneous output at end of file.

** Compatibility fixes

*** planner-appt: Fix initialization for XEmacs.
*** planner-appt: For XEmacs, create a diary file if one does not exist.
*** planner-erc: Work with newer versions of ERC.
*** planner-psvn: Make this work with newer versions of psvn.el.

** New features

*** Display a helpful message if muse-project-alist is undefined.
*** New function `planner-tomorrow' returns the date for tomorrow.
*** planner-appt: New option `planner-appt-forthcoming-show-day-names-flag'
that indicates whether to show day names in forthcoming appointments.
*** planner-authz: Add planner-multi support.
*** planner-authz: Consider all of a note's links when building an
access list.
*** planner-authz: Only publish dependencies if they haven't already
been published.
*** planner-authz: Improve list handling.
*** planner-calendar: Make a <calendar> tag.
*** planner-calendar: Surround generated calendar with <div> tag.
*** planner-erc: Connect to an existing chat session when following a
link, if possible.
*** planner-id: Remove task IDs when publishing.
*** planner-publish: Enable multiple links with "categories" attribute.
*** planner-publish: Use <h2>, <h3>, etc. for headings.
*** planner-publish: Add default CSS elements for calendar, notes,
and diary sections.
*** planner-publish: Preserve line breaks when publishing diary section.
*** planner-report: Sort pages by plan page name.

** New files

*** planner-registry.el: Registry of URLs and Planner annotations.
*** planner-zoom.el: Navigate plan pages.

* Changes in Planner 3.40

** Migration to Muse backend from emacs-wiki is complete.
Planner is now based on Emacs Muse, rather than emacs-wiki.  This will
require a few changes to your Planner configuration.  See the
`Creating Your Planner' section of the Planner manual for an example
Planner and Muse configuration.

Other considerations follow.

*** WikiNames are not colorized by default.
If you want WikiName support, add a "(require 'muse-wiki)" line to
your Planner configuration.

*** List items that that begin with "- " should begin with " - ".

*** The use of `planner-option-customized' is deprecated.
Please change any use of `planner-option-customized' to `setq' in your
configuration.  Most of the options that required this no longer
exist.

*** Planner files must have a .muse extension.
Make sure that you rename your Planner files to have a ".muse"
extension, or they will not be recognized.

*** Publishing may be done by means of the planner-publish.el file.
Add "(require 'planner-publish)" to your Planner configuration to use
it.  This will make available several publishing styles that you can
use with `muse-project-alist'.

The difference between planner-specific publishing styles and the
normal Muse publishing styles is that the former can mark up tasks and
notes specially.

** New files

*** AUTHORS: List of contributors to Planner and authors of Planner files.
*** ChangeLog.2004, ChangeLog.2005, ChangeLog:
A fairly complete history of changes to Planner since January 2004.
*** COMMENTARY: John Wiegley's original Planner commentary,
moved from PLANNER-README.
*** NEWS: This file, which lists user-visible changes since Planner 3.28.
*** Makefile, Makefile.defs, scripts/planner-build.el:
A simple build system for Planner.
*** README: Instructions for building and installing Planner.

** Compatibility

*** Browsing Gnus URLs should work with Emacs21.
*** Several XEmacs fixes were committed.

** Misc

*** Change of Delegated mark from ">" to "D".
Make sure that you use "D" instead of ">" to indicate delegated tasks,
or these tasks will not display or publish properly.

*** planner-accomplishments: Line up accomplishments neatly.
*** planner-appt: Forthcoming appointments are now dealt with.
*** planner-authz: Several TODO items were completed.
*** planner-deadline: New `add' and `remove' functions.
*** planner-multi: New option `planner-multi-date-links-last-p'
indicates whether to put date links after links to other pages.
*** planner-rss: Some options might not be backwards-compatible.
*** planner-timeclock-summary-proj: Several enhancements were made.

*** planner.el

**** Don't insert task padding if `planner-use-task-numbers' is nil.
**** Shortened dates like "2005.1.6" work.
**** When no day pages are desired, more things work than before.
**** planner-initial-page: New option that determines which page to
visit by default when not using day pages.
**** Permit links to buffer names.

* Changes in Planner 3.31

** New or noteworthy

*** dev/402: New: Provide planner-log-edit like functionality for xtla
*** dev/403: New: planner-delete-section[-text], add CREATE to
planner-narrow-to-section
*** dev/411: New: planner-mark-task-hook
*** dev/417,418: New: planner-multi-copy-tasks-to-page
*** dev/420: planner-annotation-as-kill: New interactive prefix
*** dev/421: New: planner-annotation-from-file-with-position
*** dev/430: planner-update-task: Remove need for advice,
planner-multi-replan-task: Accept list as argument
*** dev/431: NOTE: planner-create-note: Default to current page
*** dev/432: New: planner-gnats.el adds support for the GNU bugtracking
system
*** dev/446: NOTE: planner-gnus-insinuate: Change keybinding to C-c C-t
*** dev/448: Add p-create-task and p-create-task-from-buffer to
planner-auto
*** dev/456: New: planner-ical.el exports tasks as iCal
*** dev/466: NOTE: planner-create-section-function,
planner-create-at-top,
planner-create-at-bottom: RENAMED FROM planner-seek-

** Bugfix

*** dev/404: planner-delete-note actually works now, and planner-rss
recognizes categories
*** dev/405: Allow arbitrary extensions by using emacs-wiki-page-name
*** dev/406,407: planner-appt-add-appts-from-schedule and empty schedules
*** dev/408: planner-tasks-overview-get-summary: Work with files in
subdirectories
*** dev/409: Use write-file-hooks
*** dev/412: planner-current-note-info should work with notes with parens
*** dev/414: planner-narrow-to-note should recognize more notes properly now
*** dev/415: Override planner-task-plan for planner-multi
*** dev/416: Do everything inside with-planner-update-setup
*** dev/422: planner-annotation-from-file-with-position: Check if buffer has
a file
*** dev/423: planner-browse-position-url: Do not clobber match data
*** dev/424: planner-gnus-browse-url and long grou pnames
*** dev/425: with-planner-update-setup, planner-browse-position-url,
planner-multi-tasks-equal-p
*** dev/426: with-planner-update-setup: Don't block planner-id
*** dev/428: planner-annotation-as-kill: Make sure link is set
*** dev/429: planner-appt: Merge bugfix for duplicate appt bug
*** dev/432: planner-edit-task-description, planner-deadline: keep point
*** dev/433: Remove parens around planner-calendar-html-tag-marker
*** dev/434: planner-sort-tasks: Be paranoid about task sorting
*** dev/436: planner-multi-tasks-equal-p: Deal with tasks without link text
*** dev/437: planner-derived-mode-p should pass the modes to derived-mode-p
*** dev/438: planner-update-wiki-project: planner-name-regexp fix,
planner-save-buffers SKIP-BUFFERS
*** dev/439: planner-lower-task: typo
*** dev/440: Fixes planner-timeclock + planner-multi, also
planner-multi-update-task
*** dev/441: planner-save-buffers should suppress planner-id
*** dev/442: planner-save-buffers: Do not kill non-planner-mode buffers
*** dev/444: planner-multi-replan-task: Deal with tasks without dates
*** dev/445: planner-multi-link-delete: Preserve order
*** dev/447: planner-calendar-create-today-link: Quote shell arguments
*** dev/449: planner-calendar-create-today-link: Use make-symbolic-link
*** dev/450: planner-current-note-info: Be stricter with note links
*** dev/451: planner-timeclock-summary-make-text-table-day: Format projects
as links
*** dev/452: Add autoload cookies to a bunch of files, remove
planner-appt-filename-to-date
*** dev/454: Merge patch to make note heading face less greedy
*** dev/455: planner-rss-add-note: Remove tags from title
*** dev/459: planner-calendar: Do not over-pad months that end with Sunday
*** dev/460: planner-calendar-published-file-href: Stop refreshing the
file list all the time
*** dev/461: planner-visit-link: Add missing alias
*** dev/462: Add missing planner-link-target.
New option: planner-calendar-nop-buttons-flag
*** dev/463: planner-current-note-info: Recognize multi properly again
*** dev/464: Bugfixes: Byte-compile properly (missing planner-link-name,
bug in planner-annotation-from-file)
*** dev/465: planner-notes-index: Fix to work with files in subdirectories
*** dev/467: planner-timeclock should always work within Planner
context to properly deal with some tasks
*** dev/468: planner-notes-index should be in Planner project
*** dev/469: planner-deadline bugfix: Avoid infinite loops by calculating
deadlines as we insert them
*** dev/470: planner-save-buffers: Check if buffer is associated with a file
*** dev/471: with-planner: Defer evaluation of planner-derived-mode-p
*** dev/472: with-planner-update-setup: Save current window point as well
*** dev/474: planner-appt-mark-calendar shouldn't call
planner-appt-filename-to-date

** Docfixes

*** dev/412: Reorganize Tasks section (johnsu01/13)
*** dev/419: Note that Lisp tags work only for GNU Emacs
*** dev/457: Fix iCal example quotes

* Changes in Planner 3.30

** Bugfixes

*** dev/382: XEmacs: condition-case instead of 4-arg require, menu
*** dev/385: Make planner-sort-tasks stop causing backtraces
*** dev/386: planner-replan-note should properly add notes to
non-wiki-named pages
*** dev/387: planner-gnus-browse-url: Load group even if registry is not used
*** dev/389: planner-sort-tasks should use 5-arg sort-subr for older GNU Emacs
*** dev/390: planner-sort-tasks: Remove non-fontification code
*** dev/392: planner-list-tasks-with-status: Fix insert-file-contents(nil)
backtrace
*** dev/397: planner-bibtex-regexp: Fix typo. planner-el.texi: Add note
about allout.el
*** dev/399: planner-extract-tasks: Accept list of pages
*** dev/395: planner-list-tasks-with-status bugfix: Deal with undated tasks;
do not touch planner-task-format

** Tweaks

*** dev/381: planner-vm: Turn on annotations in vm-presentation-mode
*** dev/383: planner-multi-read-name-multiple-prompts: Easier multiple inputs
*** dev/384: Improve support for putting files in subdirectories
*** dev/388: Tweak: planner-copy-or-move-region does not include last line
if at start of line
*** dev/391: sync with jeho/61-68: planner-appt updates.
*** dev/393: planner-list-tasks-with-status: Put an insane amount of meaning
into a PAGES argument
*** dev/394: planner-list-unfinished-tasks: Add PAGES argument

** New

*** dev/400: planner-lisp: Allow arbitrary Lisp expressions
*** dev/396: NOTE: planner-tasks-file-behavior new default: 'close

** Docfix

*** johnsu01/4-8: Documentation fixes.
*** dev/398: planner-el.texi refers to wrong URL
*** dev/401: planner-lisp: Add arbitrary functions example

* Changes in Planner 3.29

** New

*** dev/369: planner-annotation-symbol-string
*** dev/369: planner-create-task-from-note
*** dev/370: planner-timewarp
*** dev/371: planner-annotation-from-dired
*** dev/372: planner-psvn for version control

** Bugfixes

*** dev/366: planner-multi read-only prompt, sort-task excursions,
planner-appt advice
*** dev/367: Always add menu to planner-mode buffers
*** dev/368: planner-multi-read-name bugfix from jeho
*** dev/369: planner-timeclock-summary-proj bugfix
*** dev/370: Group .*? regexp to deal with possible XEmacs bug
*** dev/372: planner-vm-browse-url and message IDs
*** dev/376: planner-id bugfixes with completed/cancelled tasks
*** dev/377: planner-gnus: pick up group name properly
*** dev/380: planner-multi replace mapc with mapcar for emacs20

** Docfixes

*** dev/365: Update my sample configuration file
*** dev/374: New URL for remind
*** dev/375: Carrying over unfinished tasks
*** dev/379: Document planner-trunk

* Changes in Planner 3.28

** New

*** planner-appt creates appointment reminders from task descriptions
and other text.
*** planner-trunk helps organize tasks on day and plan pages.
Thanks to camalot, dryice, keith.
*** Sane completing read for XEmacs planner-multi.
*** New option: planner-publish-dates-first-p controls index.

** Bugfix

*** Escape planner-multi spaces in annotation names by using emacs-wiki.
*** timeclock-summary publishing problem.
*** planner-mhe bugfix for using mh-path and utility functions.
*** Better Emacs 21 and XEmacs compatibility
*** planner-multi and planner-id bugfixes for compatibility with each other.
*** planner-replan-task: Preserve initial task location as much as possible.

** Docfix

*** Document planner-rank.
*** planner-el.texi reorganization along concepts
